Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class SelectionRefresher

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.SelectionRefresher

public class SelectionRefresher
extends java.lang.Object

This class serves the purpose of refershing selection in shell. Refreshing selection has some positive side affects, one which is the refreshing of properties in the property browser. Note: Properties will not be refreshed if SelectionProvider is null.

Constructor Summary
`SelectionRefresher()`

Method Summary
`static void` `forceSelectionRefresh()` This method forces a selection refresh to null back again to selection previously held.
`static ISelection` `getCurrentSelection()` Retrives the current ISelection
`static void` `refreshSelection()` Clients call this function to refresh the selection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionRefresher

    public SelectionRefresher()

Method Detail

### refreshSelection

    public static void refreshSelection()

  Clients call this function to refresh the selection. This function is implemented in a way in which it refreshes at the instance it is first called and while the refresh is in progress, if it receives more messages, it queues them and only refresh once after that.

### forceSelectionRefresh

    public static void forceSelectionRefresh()

  This method forces a selection refresh to null back again to selection previously held.

### getCurrentSelection

    public static ISelection getCurrentSelection()

  Retrives the current ISelection

  Returns:
    ISelection The current selection. Null if no selection is set.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.